package org.springframework.boot.loader;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.springframework.boot.loader.ExecutableArchiveLauncher;
import org.springframework.boot.loader.archive.Archive;

public class WarLauncher extends ExecutableArchiveLauncher {
  public WarLauncher() {}
  
  protected WarLauncher(Archive archive) {
    super(archive);
  }
  
  protected boolean isPostProcessingClassPathArchives() {
    return false;
  }
  
  public boolean isNestedArchive(Archive.Entry entry) {
    if (entry.isDirectory())
      return entry.getName().equals("WEB-INF/classes/"); 
    return (entry.getName().startsWith("WEB-INF/lib/") || entry.getName().startsWith("WEB-INF/lib-provided/"));
  }
  
  protected String getArchiveEntryPathPrefix() {
    return "WEB-INF/";
  }
  
  public static void main(String[] args) throws Exception {
    (new org.springframework.boot.loader.WarLauncher()).launch(args);
  }
}
